﻿using Windows.Security.ExchangeActiveSyncProvisioning;
using Windows.UI.Xaml.Controls;

// Die Vorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 dokumentiert.

namespace MeineApp
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet oder zu der innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            var device = new EasClientDeviceInformation();
            string deviceInfo = $"Computername: {device.FriendlyName}" +
                                $"\nOS: {device.OperatingSystem}" +
                                $"\nHersteller: {device.SystemManufacturer}" +
                                $"\nProdukt: {device.SystemProductName}" +
                                $"\nFirmware: {device.SystemFirmwareVersion}" +
                                $"\nHardware: {device.SystemHardwareVersion}" +
                                $"\nSKU: {device.SystemSku}";
            info.Text = deviceInfo;

            var gpio = Windows.Devices.Gpio.GpioController.GetDefault();
            if (gpio == null)
                info.Text += "GPIO nicht vorhanden";
            else
                info.Text += $"\nPin-Anzahl: {gpio.PinCount}";
        }
    }
}
