﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Devices.Gpio;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Shapes;

// Die Vorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 dokumentiert.

namespace Digital1
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet oder zu der innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        GpioController gpio;
        GpioPin pinLED;

        public MainPage()
        {
            this.InitializeComponent();

            gpio = GpioController.GetDefault();
            pinLED = gpio.OpenPin(4);
            pinLED.Write(GpioPinValue.Low);
            pinLED.SetDriveMode(GpioPinDriveMode.Output);
        }

        private void Ellipse_PointerPressed(object sender, PointerRoutedEventArgs e)
        {
            if (gpio != null)
            {
                Ellipse ellipse = (sender as Ellipse);

                if (pinLED.Read() == GpioPinValue.High)
                {
                    pinLED.Write(GpioPinValue.Low);
                    ellipse.Fill = new SolidColorBrush(Colors.Gray);
                }
                else
                {
                    pinLED.Write(GpioPinValue.High);
                    ellipse.Fill = new SolidColorBrush(Colors.Yellow);
                }
            }
        }
    }
}
