﻿using Microsoft.IoT.DeviceCore.Pwm;
using Microsoft.IoT.Devices.Pwm;
using System;
using System.Collections.Generic;
using Windows.Devices.Pwm;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;

// Die Vorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 dokumentiert.

namespace Digital4
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet oder zu der innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private PwmPin pinLED;

        public MainPage()
        {
            this.InitializeComponent();
            initializePWM();
        }

        private async void initializePWM()
        {
            // Provider und Controller aus Microsoft.IoT.Devices erzeugen
            var pwmProvider = new PwmProviderManager();
            pwmProvider.Providers.Add(new SoftPwm());

            // PWM über Windows.Devices.Pwm einrichten
            IReadOnlyList<PwmController> pwmControllers = await PwmController.GetControllersAsync(pwmProvider);

            PwmController controller = pwmControllers[0];
            controller.SetDesiredFrequency(controller.MaxFrequency);

            pinLED = controller.OpenPin(4);
            pinLED.Start();
            pinLED.SetActiveDutyCyclePercentage(0.0);
        }

        private void slider_ValueChanged(object sender, RangeBaseValueChangedEventArgs e)
        {
            pinLED.SetActiveDutyCyclePercentage(e.NewValue / 100.0);
        }
    }
}
