﻿using System;
using Windows.Devices.Gpio;
using Windows.UI.Core;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

// Die Vorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 dokumentiert.

namespace Digital6
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet oder zu der innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        GpioPin pinBuzzer;
        GpioPin pinPIR;

        public MainPage()
        {
            this.InitializeComponent();

            GpioController gpio = GpioController.GetDefault();

            pinBuzzer = gpio.OpenPin(4);
            pinBuzzer.Write(GpioPinValue.Low);
            pinBuzzer.SetDriveMode(GpioPinDriveMode.Output);

            pinPIR = gpio.OpenPin(26);
            pinPIR.SetDriveMode(GpioPinDriveMode.Input);

            pinPIR.ValueChanged += PinPIR_ValueChanged;
        }

        private async void PinPIR_ValueChanged(GpioPin sender, GpioPinValueChangedEventArgs args)
        {
            bool isAlarm = args.Edge == GpioPinEdge.RisingEdge;

            await Dispatcher.RunAsync(CoreDispatcherPriority.Normal, () =>
            {
                if (toggleAlarm.IsOn == false)
                    return;

                if (isAlarm)
                    imageAlarm.Visibility = Visibility.Visible;
                else
                    imageAlarm.Visibility = Visibility.Collapsed;

            });

            if (isAlarm)
                pinBuzzer.Write(GpioPinValue.High);
            else
                pinBuzzer.Write(GpioPinValue.Low);
        }
    }
}
