﻿using System;
using System.Collections.Generic;
using Windows.ApplicationModel.Background;
using Windows.Devices.Adc;
using Windows.UI.Xaml;
using System.Diagnostics;
using System.Threading.Tasks;
using Windows.System.Threading;

namespace Analog2
{
    public sealed class StartupTask : IBackgroundTask
    {
        public async void Run(IBackgroundTaskInstance taskInstance)
        {
            var deferral = taskInstance.GetDeferral();

            var controllers = await AdcController.GetControllersAsync(new Mcp3002Provider());

            AdcController controller = controllers[0];
            AdcChannel channel = controller.OpenChannel(0);

            ThreadPoolTimer.CreatePeriodicTimer((timer) =>
            {
                int value = channel.ReadValue();
                double ratio = channel.ReadRatio();

            // Formel: http://www.linkerkit.de/index.php?title=KY-013_Temperatur-Sensor_Modul
            var temperature = Math.Log(10000.0 * ((1024.0 / value - 1)));
                temperature = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * temperature * temperature)) * temperature);
                temperature -= 273.15;    // von Kelvin in Celsius

            Debug.WriteLine($"{temperature:F2}° Value: {value} Ratio: {ratio:F2}");
            },
            new TimeSpan(0, 0, 0, 1));
        }
    }
}
