﻿using SQLite.Net;
using SQLite.Net.Attributes;
using SQLite.Net.Platform.WinRT;
using System;
using System.IO;
using Windows.Storage;

namespace Data2
{
    public class DataPoint
    {
        [PrimaryKey]
        public DateTimeOffset TimeOfEvent { get; set; }

        [NotNull]
        public double Value { get; set; }
        public int RawValue { get; set; }
        public double Ratio { get; set; }

        public override string ToString()
        {
            return $"DateTime: {TimeOfEvent} Value: {Value:F2} RawValue: {RawValue} Ratio: {Ratio:F2}";
        }

        private static SQLiteConnection connection;

        static DataPoint()
        {
            var path = Path.Combine(ApplicationData.Current.LocalFolder.Path, "SensorData.sqlite");

            connection = new SQLiteConnection(new SQLitePlatformWinRT(), path);
            connection.CreateTable<DataPoint>();
        }

        public int Insert()
        {
            return connection.Insert(this);
        }

        public int Delete(DateTimeOffset id)
        {
            return connection.Delete<DataPoint>(id);
        }

        public DataPoint Read(DateTimeOffset id)
        {
            return connection.Find<DataPoint>(id);
        }
    }
}
