﻿using DataProducer;
using Microsoft.ServiceBus.Messaging;
using Newtonsoft.Json;
using System;
using System.Text;
using System.Threading.Tasks;

namespace DataConsumer
{
    class Program
    {
        static EventHubClient client;

        static void Main(string[] args)
        {
            var connectionString = "TransportType=Amqp;Endpoint=sb://ihsuprodamres053dednamespace.servicebus.windows.net/;SharedAccessKeyName=iothubowner;SharedAccessKey=<Ihr Shared Key>";
            var eventHubName = "<Ihr Eventhub>";

            var factory = MessagingFactory.CreateFromConnectionString(connectionString);

            client = factory.CreateEventHubClient(eventHubName);

            var d2cPartitions = client.GetRuntimeInformation().PartitionIds;

            foreach (string partition in d2cPartitions)
            {
                Task.Run(() => Receive(partition));
            }

            Console.ReadKey();
        }

        static void Receive(string partition)
        {
            EventHubReceiver receiver = client.GetDefaultConsumerGroup().CreateReceiver(partition, DateTime.UtcNow); // - new TimeSpan(0, 1, 0, 0));

            while (true)
            {
                EventData data = receiver.Receive();

                if (data != null)
                {
                    var enqueuedTime = data.EnqueuedTimeUtc.ToLocalTime();

                    var receivedData = Encoding.UTF8.GetString(data.GetBytes());
                    var dataPoint = JsonConvert.DeserializeObject<Measurement>(receivedData);

                    Console.WriteLine($"Partition: {partition}/{data.SequenceNumber} DataPoint: '{dataPoint}'");
                }
            }
        }
    }
}
